************
* SCRIPT: 1_process_raw_data.do
* PURPOSE: imports the raw data and saves it in Stata readable format
************

************
* Code begins
************



********************
*** Experiment 1 ***
********************

insheet using "$ExtremeToMainstream_Replication/data/exp1.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/exp1.dta", replace



********************
*** Experiment 2 ***
********************

insheet using "$ExtremeToMainstream_Replication/data/exp2.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/exp2.dta", replace



******************************
*** Appendix Experiment 1B ***
******************************

*** Wave 1 Pilot

insheet using "$ExtremeToMainstream_Replication/data/app_exp1b_wave1_pilot.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp1b_wave1_pilot.dta", replace


*** Wave 1

insheet using "$ExtremeToMainstream_Replication/data/app_exp1b_wave1.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp1b_wave1.dta", replace


*** Wave 2

insheet using "$ExtremeToMainstream_Replication/data/app_exp1b_wave2.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp1b_wave2.dta", replace



******************************
*** Appendix Experiment 2B ***
******************************

*** Wave 1

insheet using "$ExtremeToMainstream_Replication/data/app_exp2b_wave1.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp2b_wave1.dta", replace


*** Wave 2

insheet using "$ExtremeToMainstream_Replication/data/app_exp2b_wave2.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp2b_wave2.dta", replace



*****************************
*** Appendix Experiment 3 ***
*****************************

insheet using "$ExtremeToMainstream_Replication/data/app_exp3.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp3.dta", replace


*** Auxiliary Survey

insheet using "$ExtremeToMainstream_Replication/data/app_exp3_auxiliarysurvey.csv", comma clear
compress
save "$ExtremeToMainstream_Replication/processed/intermediate/app_exp3_auxiliarysurvey.dta", replace

** EOF
